Bug 1682910 - Retire YUM 3
Summary: Retire YUM 3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Domonkos
QA Contact:
URL:
Whiteboard:
Depends On: 1156491
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-25 19:18 UTC by Ben Cotton
Modified: 2019-10-29 17:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-29 17:13:43 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2019-02-25 19:18:10 UTC
This is a tracking bug for Change: Retire YUM 3
For more details, see: https://fedoraproject.org/wiki/Changes/Retire_YUM_3

Remove the YUM (version 3) package manager stack from Fedora.

Comment 1 Miro Hrončok 2019-02-26 09:52:56 UTC
There was an agreement to retire the package immediately after branching. Let's do it?

Comment 2 Michal Domonkos 2019-02-26 09:57:55 UTC
Absolutely!  What action should I (or someone else) do in order to achieve that?

Comment 3 Miro Hrončok 2019-02-26 10:08:36 UTC
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Juts run from the cloned repo:

    $ fedpkg retire 'https://fedoraproject.org/wiki/Changes/Retire_YUM_3'

Also, a direct email to all <dependent_source_package_name>-maintainers@fedoraporject.org would be nice.

Comment 4 Michal Domonkos 2019-02-26 10:10:09 UTC
Thanks Miro, will check it out today.

Comment 5 Zbigniew Jędrzejewski-Szmek 2019-02-26 10:45:12 UTC
https://pagure.io/fedora-comps/pull-request/374
https://pagure.io/fedora-kickstarts/pull-request/489

I also took the liberty to update the Change page to update the paragraph about urlgrabber, now that it's been ported to Python3 and released.

The actual retirement still needs to be done.

Comment 6 Michal Domonkos 2019-03-01 11:11:19 UTC
Updates:

1) The YUM-3 components [1] have been retired in dist-git.

2) The comps and kickstarts repos have been updated (thanks, Zbigniew!).

3) Upstream release monitoring was disabled for yum-langpacks (although it probably wasn't really necessary):
   https://pagure.io/releng/fedora-scm-requests/pull-request/10013

4) I have sent notification emails (to <srcname>-maintainers@fedoraproject.org) for all the depending components listed in [2].

5) In Koji, all of the packages [1] are in [BLOCKED] status for the f31 tag.
   $ koji list-pkgs --show-blocked --tag f31 --package <pkgname>

6) The explicit conflict of "dnf" and "dnf-utils" with the "yum" and "yum-utils" packages, respectively, has been updated to accommodate F30 as the last release:
   https://github.com/rpm-software-management/dnf/pull/1335
   https://github.com/rpm-software-management/dnf-plugins-core/pull/327

7) I have requested the addition of "yum" to the fedora-obsolete-packages, however there's still a discussion going on:
   https://bugzilla.redhat.com/show_bug.cgi?id=1684162

[1] https://fedoraproject.org/wiki/Changes/Retire_YUM_3#Detailed_Description
[2] https://fedoraproject.org/wiki/Changes/Retire_YUM_3#Dependencies

Comment 7 Ben Cotton 2019-08-13 16:51:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 8 Ben Cotton 2019-08-13 19:33:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 9 Ben Cotton 2019-08-14 17:56:12 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 31 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 31, please set the version to rawhide.

The 100% code complete deadline is Tue 2019-08-27.

Comment 10 Ben Cotton 2019-08-27 17:17:56 UTC
We have reached the '100% Code Complete' milestone in the Fedora 31 release cycle. If your Change is complete, please set the status to ON_QA. The Beta Freeze is underway. If you need a freeze exception, see https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

If this Change will not be ready for Fedora 31, please set the version to rawhide.

Comment 11 Ben Cotton 2019-10-29 17:13:43 UTC
Closing Change tracking bugs for the Fedora 31 release.


Note You need to log in before you can comment on or make changes to this bug.